=== debian/changelog ===
ros-humble-affordance-primitives (0.1.0-3jammy) jammy; urgency=high

  * Add license and contributing files
  * Use clang-format style file
  * Add pre-commit config
  * Use google style string for CI clang-format
  * Add CI actions workflow
  * Initial port of affordance_primitive libraries to open source
  * Contributors: Joe Schornak

 -- Adam Pettinger <adam.pettinger@utexas.edu>  Wed, 16 Feb 2022 00:00:00 -0000
